Opened 7 years ago

Closed 6 years ago

#9396 closed bug (fixed)

Ebay paypal merchant checkout broken with Webpositive

Reported by: SeanCollins Owned by: leavengood
Priority: normal Milestone: R1
Component: Applications/WebPositive Version: R1/Development
Keywords: Cc:
Blocked By: Blocking:
Has a Patch: no Platform: All

Description (last modified by kallisti5)

goto ebay, try to checkout and pay for a item with paypal. confirm and pay does not work properly and paypal log in does not get remembered. I assume this is very likely a cookie handling error.

May be due to improper mimetype handling.

Change History (4)

comment:1 by kallisti5, 6 years ago

Description: modified (diff)

Closed #10333 as a duplicate as per PulkoMandy in irc. These issues look to be caused by errors handling document types. Choosing my account on ebay.com results in WebPositive downloading a "dll" instead of seeing it as an HTML page.

comment:2 by kallisti5, 6 years ago

The suspect url:

~> curl -v "http://my.ebay.com/ws/eBayISAPI.dll?MyEbay&gbh=1"
* About to connect() to my.ebay.com port 80 (#0)
*   Trying 66.211.185.115...
* connected
* Connected to my.ebay.com (66.211.185.115) port 80 (#0)
> GET /ws/eBayISAPI.dll?MyEbay&gbh=1 HTTP/1.1
> User-Agent: curl/7.26.0
> Host: my.ebay.com
> Accept: */*
> 
< HTTP/1.1 302 Moved Temporarily
< Server: Apache-Coyote/1.1
< RlogId: p4n%7Cceb%7Cehq%60%3C%3Dpie2a57d.a7b1-143e96c5af4
< Location: https://signin.ebay.com/ws/eBayISAPI.dll?SignIn&UsingSSL=1&pUserId=&co_partnerId=2&siteid=0&ru=http%3A%2F%2Fmy.ebay.com%2Fws%2FeBayISAPI.dll%3FMyEbayBeta%26MyEbay%3D%26gbh%3D1%26guest%3D1&pageType=3984
< Content-Length: 0
< Date: Fri, 31 Jan 2014 17:50:28 GMT
< 
* Connection #0 to host my.ebay.com left intact
* Closing connection #0

Following the redirect:

~> curl -v "https://signin.ebay.com/ws/eBayISAPI.dll?SignIn&UsingSSL=1&pUserId=&co_partnerId=2&siteid=0&ru=http%3A%2F%2Fmy.ebay.com%2Fws%2FeBayISAPI.dll%3FMyEbayBeta%26
MyEbay%3D%26gbh%3D1%26guest%3D1&pageType=3984"
* About to connect() to signin.ebay.com port 443 (#0)
*   Trying 66.211.181.96...
* connected
* Connected to signin.ebay.com (66.211.181.96) port 443 (#0)
* successfully set certificate verify locations:
*   CAfile: /packages/curl-7.26.0-5/ca_root_certificates/data/ssl/CARootCertificates.pem
  CApath: none
* SSLv3, TLS handshake, Client hello (1):
* SSLv3, TLS handshake, Server hello (2):
* SSLv3, TLS handshake, CERT (11):
* SSLv3, TLS handshake, Server finished (14):
* SSLv3, TLS handshake, Client key exchange (16):
* SSLv3, TLS change cipher, Client hello (1):
* SSLv3, TLS handshake, Finished (20):

* SSLv3, TLS change cipher, Client hello (1):
* SSLv3, TLS handshake, Finished (20):
* SSL connection using RC4-MD5
* Server certificate:
*        subject: 1.3.6.1.4.1.311.60.2.1.3=US; 1.3.6.1.4.1.311.60.2.1.2=Delaware; businessCategory=Private Organization; serialNumber=2871352; C=US; postalCode=95125; ST=California; L=San Jose; street=2145 Hamilton Ave; O=eBay, Inc.; OU=Site Operations; CN=signin.ebay.com
*        start date: 2012-11-30 00:00:00 GMT
*        expire date: 2015-01-24 23:59:59 GMT
*        subjectAltName: signin.ebay.com matched
*        issuer: C=US; O=VeriSign, Inc.; OU=VeriSign Trust Network; OU=Terms of use at https://www.verisign.com/rpa (c)06; CN=VeriSign Class 3 Extended Validation SSL CA
*        SSL certificate verify ok.
> GET /ws/eBayISAPI.dll?SignIn&UsingSSL=1&pUserId=&co_partnerId=2&siteid=0&ru=http%3A%2F%2Fmy.ebay.com%2Fws%2FeBayISAPI.dll%3FMyEbayBeta%26MyEbay%3D%26gbh%3D1%26guest%3D1&pageType=3984 HTTP/1.1
> User-Agent: curl/7.26.0
> Host: signin.ebay.com
> Accept: */*
> 
< HTTP/1.1 200 OK
< Server: Apache-Coyote/1.1
< X-Frame-Options: SAMEORIGIN
< Set-Cookie: ebay=%5Esbf%3D%23%5E; Domain=.ebay.com; Path=/
< Set-Cookie: dp1=bpbf/%2380000000000454cd1605^u1p/QEBfX0BAX19AQA**54cd1605^bl/US56ae4985^; Domain=.ebay.com; Expires=Sun, 31-Jan-2016 17:51:01 GMT; Path=/
< Set-Cookie: cssg=e96cd8321430a5e2eb3401b4fff9261d; Domain=.ebay.com; Path=/
< Set-Cookie: s=BAQAAAUPgcem2AAWAAPgAIFLtNAVlOTZjZDgzMjE0MzBhNWUyZWIzNDAxYjRmZmY5MjYxZAASAApS7TQFdGVzdENvb2tpZS5RuHErhN7QK93HKFWDSkHWutdn; Domain=.ebay.com; Path=/
< Set-Cookie: nonsession=CgADKACBcUeQFZTk2Y2Q4MzIxNDMwYTVlMmViMzQwMWI0ZmZmOTI2MWQAywABUuvpjTFOVojv; Domain=.ebay.com; Expires=Sat, 31-Jan-2015 17:51:01 GMT; Path=/
< Set-Cookie: cid=pTRzZ69y; Domain=.ebay.com; Expires=Sat, 31-Jan-2015 17:51:01 GMT; Path=/
< Cache-Control: private
< Pragma: no-cache
< Content-Type: text/html;charset=UTF-8
< Content-Length: 37630
< Date: Fri, 31 Jan 2014 17:51:00 GMT
< 
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
.
.
.

The redirected page gets downloaded as a file vs loaded as an html document.

comment:3 by pulkomandy, 6 years ago

Blocking: 10388 added

comment:4 by pulkomandy, 6 years ago

Blocking: 10388 removed
Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.